unit Unit1;

interface

uses
  Windows, SysUtils,Forms,
  MPlayer, mmsystem,shellapi, Classes, Controls, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    MediaPlayer1: TMediaPlayer;
    Memo1: TMemo;
    Panel1: TPanel;
    Timer1: TTimer;
    procedure FormShow(Sender: TObject);
    procedure MediaPlayer1Notify(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
var dwParam2 : TMCI_OVLY_RECT_PARMS;
    Retval   : longint;
begin
memo1.Lines.LoadFromFile('aviinf.bbo');
      with mediaplayer1 do begin
             filename := memo1.lines[0];
             open;
             display := panel1;
             Notify:=true;
             // initialisieren der Struktur mit
             dwParam2.dwCallback := mediaplayer1.handle;
             dwParam2.rc.Left := 0;
             dwParam2.rc.Top := 0;
             dwParam2.rc.Right := 0;
             dwParam2.rc.Bottom := 0;
             Retval := mciSendCommand(mediaplayer1.DeviceID, MCI_WHERE, MCI_OVLY_WHERE_SOURCE,integer(@dwParam2));
             //Sollte ein Fehler aufgetreten sein:
             If Retval <> 0 Then begin
                halt;
             end Else begin
                panel1.ClientWidth := dwParam2.rc.Right - dwParam2.rc.Left;
                panel1.ClientHeight := dwParam2.rc.Bottom - dwParam2.rc.Top;
                application.processmessages;
                play;
             end;
        end;

end;

procedure TForm1.MediaPlayer1Notify(Sender: TObject);
begin
close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
                panel1.left:=(width div 2)-(panel1.Width div 2);
                panel1.top:=(Height div 2)-(panel1.Height div 2);                 

end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
                panel1.left:=(width div 2)-(panel1.Width div 2);
                panel1.top:=(Height div 2)-(panel1.Height div 2);

end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
ShellExecute(handle,'open',pchar(memo1.lines[1]),'',pchar(ExtractFilePath(memo1.lines[1])),sw_show);
WindowState:=wsMinimized;
end;

procedure TForm1.FormKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=VK_ESCAPE then close;
if key=13 then close;
if key=VK_SPACE then close;
end;

end.
